GET
Get Bitgo MPC GPG public key
It is necessary to use correct MPC BitGo public GPG key when performing MPC operations. Different public keys might be necessary in different cases. This endpoint returns a valid GPG public key taking into account all factors, including: coin, user and enterprise feature flags. Using incorrect key may cause signing and wallet creation errors.
Path Params
-
coinstring requiredA cryptocurrency symbol or token ticker symbol
Query Params
-
enterpriseIdstringFilter by enterprise. Allows to take enterprise settings into consideration.
Responses
200
OK
Response Body
object
-
enterpriseIdstringEnterprise id for the intended operation (if present in the request) -
namestring requiredName of the key, used for simple identification. Matches MPC key namess in client constants -
publicKeystringBitGo MPC public key -
mpcv2PublicKeystringBitGo ECDSA MPCv2 public key -
eddsaMpcv2PublicKeystringBitGo EdDSA MPCv2 public key
400
Bad Request
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id
500
Internal Server Error
Response Body
object
-
namestringError code -
contextmap of objects requiredProperties that apply to a specific error namecontext object
-
<key>object
-
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id